/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include <stdbool.h>
#include <stdint.h>

typedef enum {
  QemuSetting_FirstBootLogicEnable = 1,     // Returns a bool
  QemuSetting_DefaultConnected = 2,         // Returns a bool
  QemuSetting_DefaultPluggedIn = 3,         // Returns a bool
} QemuSetting;



// ---------------------------------------------------------------------------------------
// API
uint32_t qemu_setting_get(QemuSetting);
